aboutsummaryrefslogtreecommitdiffhomepage
path: root/dev/build
diff options
context:
space:
mode:
authorGravatar Maxime Dénès <mail@maximedenes.fr>2017-06-20 16:26:24 +0200
committerGravatar Enrico Tassi <Enrico.Tassi@inria.fr>2017-07-20 15:40:48 +0200
commit7af3bdf56f278e8928df7bdf63fddd159be610ec (patch)
tree3f78ca7a0ebabb7ab535f743cbb6b3493f0aed84 /dev/build
parent4d858df22bb30d2efbef39a177c28c15c600c885 (diff)
Add AppVeyor infrastructure, launching the test suite under Windows.
Diffstat (limited to 'dev/build')
-rw-r--r--dev/build/windows/appveyor.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/dev/build/windows/appveyor.sh b/dev/build/windows/appveyor.sh
new file mode 100644
index 000000000..53f7a2346
--- /dev/null
+++ b/dev/build/windows/appveyor.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e -x
+wget $opam_url
+tar -xf opam64.tar.xz
+bash opam64/install.sh
+opam init -a mingw https://github.com/fdopen/opam-repository-mingw.git --comp 4.02.3+mingw64c --switch 4.02.3+mingw64c
+eval $(opam config env)
+opam install -y ocamlfind camlp5